use maud::{html, Markup};

use crate::templates::layout;

pub fn changelog_page() -> Markup {
    layout(html! {
        h1 { "Beacon Changelog" }

        section {
            h2 { "1.1.0, 07.02.2025" }
            ul {
                li { "Fish now directly display their non-relative dates for their next or current window" }
                li { "Additionally, fish that are up now display the starting time for the subsequent window" }
                li { "The site now saves your account ID in your browser storage, and automatically redirects you on page visit" }
            }
        }

        section {
            h2 { "1.0.0, 06.02.2025" }
            ul {
                li { "Initial release" }
            }
        }
    })
}
